<h1>{{t 'work.singular'}}</h1>

<form>
  {{#form-multiset 'work.identifiers' model.identifiers}}
    {{#form-items model.identifiers as |record|}}
      <label>
        {{t 'work.identifier'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{form-input label='work.uniformTitle' value=model.uniformTitle bigLabel=true}}

  {{#form-multiset 'work.otherTitles' model.otherTitles}}
    {{#form-items model.otherTitles as |record|}}
      <label>
        {{t 'work.otherTitle'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  {{#form-multiset 'work.keywords' model.keywords}}
    {{#form-items model.keywords as |record|}}
      <label>
        {{t 'work.keywordType'}}
        {{form-select options=keywordTypes value=record.type}}
      </label>
      <label>
        {{t 'work.keyword'}}
        {{form-input value=record.value}}
      </label>
    {{/form-items}}
  {{/form-multiset}}

  <fieldset>
    <legend>
      {{t 'work.creationTime'}}
      <button class="btn btn-default pull-right" {{action 'toggleCreationDate'}}>
        {{#unless model.creationDateIsRange}}
          {{glyph-icon 'resize-horizontal'}}
          {{t 'work.creationDateSwitchToRange'}}
        {{else}}
          {{glyph-icon 'record'}}
          {{t 'work.creationDateSwitchToFixed'}}
        {{/unless}}
      </button>
    </legend>
    {{#unless model.creationDateIsRange}}
      {{form-input label='work.creationDate' value=model.creationDate}}
      {{form-input label='work.creationDateApprox' value=model.creationDateApprox}}
    {{else}}
      {{form-input label='work.creationDateNotBefore' value=model.creationDateNotBefore}}
      {{form-input label='work.creationDateNotAfter' value=model.creationDateNotAfter}}
      {{form-input label='work.creationDateNotBeforeApprox' value=model.creationDateNotBeforeApprox}}
      {{form-input label='work.creationDateNotAfterApprox' value=model.creationDateNotAfterApprox}}
    {{/unless}}
  </fieldset>

  <fieldset>
    <legend>{{t 'miscProperties'}}</legend>
    {{form-textarea label='work.abstract' value=model.abstract}}
    {{form-input label='work.textgridUri' value=model.textgridUri}}
    {{#if editions}}
      {{form-select label='item.edition' value=model.edition options=editions}}
    {{/if}}
  </fieldset>

  <div class="form-footer">
    {{partial 'partials/form-footer'}}
  </div>
</form>
